# ApplicationFramework
TKLCAF
TDF

# TDF_ClosureTool Class Reference

This class provides services to build the closure
of an information set.
You can set closure options by using IDFilter
(to select or exclude specific attribute IDs) and
CopyOption objects and by giving to Closure
method.
.

`#include <TDF_ClosureTool.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Closure (const Handle(TDF_DataSet)&aDataSet)
| Builds the transitive closure of label and attribute sets into <adataset>. .
static Standard_EXPORT void | Closure (const Handle(TDF_DataSet)&aDataSet, const TDF_IDFilter &aFilter, const TDF_ClosureMode &aMode)
| Builds the transitive closure of label and attribute sets into <adataset>. Uses <afilter> to determine if an attribute has to be taken in account or not. Uses <amode> for various way of closing. .
static Standard_EXPORT void | Closure (const TDF_Label &aLabel, TDF_LabelMap &aLabMap, TDF_AttributeMap &anAttMap, const TDF_IDFilter &aFilter, const TDF_ClosureMode &aMode)
| Builds the transitive closure of <alabel>. .

## Static Private Member Functions

static Standard_EXPORT void | LabelAttributes (const TDF_Label &aLabel, TDF_LabelMap &aLabMap, TDF_AttributeMap &anAttMap, const TDF_IDFilter &aFilter, const TDF_ClosureMode &aMode)
| Adds label attributes and dependences. .

## Member Function Documentation

static Standard_EXPORT void TDF_ClosureTool::Closure | ( | const TDF_Label & | aLabel,
|  | TDF_LabelMap & | aLabMap,
|  | TDF_AttributeMap & | anAttMap,
|  | const TDF_IDFilter & | aFilter,
|  | const TDF_ClosureMode & | aMode
| ) | `[static]`

static Standard_EXPORT void TDF_ClosureTool::Closure | ( | const Handle(TDF_DataSet)& | aDataSet,
|  | const TDF_IDFilter & | aFilter,
|  | const TDF_ClosureMode & | aMode
| ) | `[static]`

static Standard_EXPORT void TDF_ClosureTool::Closure | ( | const Handle(TDF_DataSet)& | aDataSet | ) | `[static]`

static Standard_EXPORT void TDF_ClosureTool::LabelAttributes | ( | const TDF_Label & | aLabel,
|  | TDF_LabelMap & | aLabMap,
|  | TDF_AttributeMap & | anAttMap,
|  | const TDF_IDFilter & | aFilter,
|  | const TDF_ClosureMode & | aMode
| ) | `[static, private]`

void TDF_ClosureTool::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDF_ClosureTool::operator new | ( | size_t | size | ) | `[inline]`

void* TDF_ClosureTool::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- TDF_ClosureTool.hxx